<?php

function feminine_mentor_sanitize_checkbox( $input ) {
    if ( true === $input ) {
        return 1;
     } else {
        return 0;
     }
}
function feminine_mentor_sanitize_url( $url ) {
  return esc_url_raw( $url );
}


if (!function_exists('feminine_mentor_get_categories_select')):
    function feminine_mentor_get_categories_select()
    {
        $feminine_mentor_categories = get_categories();
        $results = [];

        if (!empty($feminine_mentor_categories)):
            $results[''] = __('Select Category', 'feminine-mentor');
            foreach ($feminine_mentor_categories as $result) {
                $results[$result->slug] = $result->name;
            }
        endif;
        return $results;
    }
endif;

function feminine_mentor_sanitize_select($input, $setting)
{
    $input = sanitize_key($input);

    $choices = $setting->manager->get_control($setting->id)->choices;

    return array_key_exists($input, $choices) ? $input : $setting->default;
}
